Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface IIOPMBean

public interface IIOPMBean
extends ConfigurationMBean

Configuration for IIOP properties.

Author:
  Copyright (c) 2002 by BEA WebXpress, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getCompleteMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete IIOP message to be received.
`int` | `getIdleConnectionTimeout()` Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server.
`int` | `getMaxMessageSize()` Specify the maximum IIOP message size allowable in a message header.
`void` | `setCompleteMessageTimeout(int seconds)` Sets the number of seconds that the server will wait for a complete IIOP message.
`void` | `setIdleConnectionTimeout(int seconds)` Sets the number of seconds that the server will allow an IIOP connection to be idle before closing it.
`void` | `setMaxMessageSize(int maxsize)` Sets the maximum IIOP message size allowable in a message header.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections.

  A dynamic MBean attribute
  A configurable MBean attribute

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the number of seconds that the server will allow an IIOP connection to be idle before closing it.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete IIOP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

  Sets the number of seconds that the server will wait for a complete IIOP message.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getMaxMessageSize

    public int getMaxMessageSize()

  Specify the maximum IIOP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A configurable MBean attribute

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Sets the maximum IIOP message size allowable in a message header.

  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference